#include "example_main.h"

int example_gensetkey()
{
    int result = QR_RESULT_ERR;

    qr_AesKey_t qr_zero_key = {
        0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00,
        0x00, 0x00, 0x00, 0x00};

    uint8_t encrypted_result[QR_DATA_STRUCT_LEN_ASCII + 1];
    encrypted_result[QR_DATA_STRUCT_LEN_ASCII] = 0;

    struct qr_context *ctx = qr_new_default_ctx();

    if (ctx != NULL)
    {
        result = qr_GenSetAesKey(ctx, (const qr_AesKey_t *)qr_zero_key, encrypted_result);
        qr_delete_ctx(ctx);
    }

    if (result == QR_RESULT_OK)
    {
        printf("set default to zero key: %s\n", encrypted_result);
    }
    else
    {
        printf("failed to encrypt zero key\n");
    }

    return result;
}